Debian Bug report logs - #390135
RFP: wxformbuilder -- Open Source GUI Builder Tool For wxWidgets

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sandro Tosi <morph@debian.org>

Date: Fri, 29 Sep 2006 11:49:34 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390135; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to wvdakker@wilsoft.nl:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value itp was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wvdakker@wilsoft.nl
To: submit@bugs.debian.org
Subject: TAG: wxformbuilder -- Open Source GUI Builder Tool For wxWidgets
Date: Fri, 29 Sep 2006 13:42:11 +0200
Package: wnpp
Severity: ITP

Package description:
wxFormBuilder aims to be an application that as well as enabling visual
development and generating the corresponding code, allow the inclusion of
non-graphical components, as well as providing facilities for extending the set
of widgets easily via plugins, like other applications such as qt-designer.

An interesting aspect of wxFormBuilder, is the storage of the information in XML
documents instead of embedding it in the code itself. This, as well as
simplifying the application’s code, eases the the further modification of both
the properties of an object and the generated code without needing to
recompile.

The code generation makes use of a series of “templates” defined in the document
of the class information, which are processed to generate the corresponding
code. The code generator includes a small parser that allows us to use in the
templates a simple set of directive to be able to process functions such as
referring the an object’s properties, do a conditional code generation, bucles,
and other possibilities.

Copyright:
		    GNU GENERAL PUBLIC LICENSE
		       Version 2, June 1991




Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to wvdakker@wilsoft.nl:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 390135-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 390135-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 01 Oct 2007 12:00:29 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 390135
 stop

Further comments on the work done in the bug sent to
390135@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Oct 2007 07:27:30 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 10 Jun 2009 18:00:10 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 10 Jun 2009 18:00:11 GMT) Full text and rfc822 format available.

Changed Bug submitter from wvdakker@wilsoft.nl to Sandro Tosi <morph@debian.org>. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 10 Jun 2009 18:00:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390135; Package wnpp. (Tue, 26 Jan 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <karsten.hilbert@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 26 Jan 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 390135@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <karsten.hilbert@gmx.net>
To: Debian Bug Tracking System <390135@bugs.debian.org>
Subject: current Ubuntu packages available
Date: Tue, 26 Jan 2010 12:25:26 +0100
Package: wnpp
Severity: wishlist

Find it here:

	https://launchpad.net/~wxformbuilder/+archive/release

Thanks,

Karsten




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390135; Package wnpp. (Thu, 28 Jan 2010 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <Karsten.Hilbert@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 28 Jan 2010 08:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 390135@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <Karsten.Hilbert@gmx.net>
To: 390135@bugs.debian.org
Cc: gour@gour-nitai.com
Subject: upstream developer asks for help in packaging
Date: Thu, 28 Jan 2010 09:41:51 +0100
Gour <gour@gour-nitai.com> has been in contact with upstream:

> I got reply from wxFormBuilder in regard to Debian support. Here is
> his (forum) reply: "I made the .deb for Ubuntu, and underwent the
> process to include it into the official repositories. I'm interested
> in supporting Debian, but I'd need a lot of help."
> 
> Someone who can help with Debian packaging might contact him at:
> 
>  	 rpusztai at gmail dot com

Karsten
-- 
GPG key ID E4071346 @ wwwkeys.pgp.net
E167 67FD A291 2BEA 73BD  4537 78B9 A9F9 E407 1346




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390135; Package wnpp. (Thu, 28 Jan 2010 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <Karsten.Hilbert@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 28 Jan 2010 08:57:06 GMT) Full text and rfc822 format available.

Message #37 received at 390135@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <Karsten.Hilbert@gmx.net>
To: 390135@bugs.debian.org
Subject: Re: Bug#390135: Info received (upstream developer asks for help in packaging)
Date: Thu, 28 Jan 2010 09:55:13 +0100
Here's a direct link to upstream's opinion:

	http://forum.wxformbuilder.org/index.php?topic=689.msg3224#msg3224

Karsten
-- 
GPG key ID E4071346 @ wwwkeys.pgp.net
E167 67FD A291 2BEA 73BD  4537 78B9 A9F9 E407 1346




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390135; Package wnpp. (Thu, 28 Jan 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas (Debian)" <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 28 Jan 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #42 received at 390135@bugs.debian.org (full text, mbox):

From: "Andreas (Debian)" <tille@debian.org>
To: Karsten Hilbert <Karsten.Hilbert@gmx.net>
Cc: Gour <gour@gour-nitai.com>, 390135@bugs.debian.org
Subject: Re: [Gnumed-devel] Re: GNUmed user interface toolkit considerations
Date: Thu, 28 Jan 2010 10:01:18 +0100
On Thu, Jan 28, 2010 at 09:35:12AM +0100, Karsten Hilbert wrote:
> 
> do you know where we could send this request for help ? Some
> sort of -mentors ?

Suggesting the Ubuntu maintainer to ask for sponsoring his package
into Debian?
 
> One way would be if the wxFormBuilder guy became a Debian
> Junior Developer (but then he'd still need help).

Usually it is the easier to get help the more interesting a package is.
I guess there are some DDs around who are interested but overworked.
Sponsering a prepared package is not as much work as doing it from
scratch - so changes might be not that bad.
 
> Maybe they are overestimating the packaging effort, actually ?

Probably.  I just rebuilded the Ubuntu package which shows four
easy to fix lintian problems, but installs and starts fine.
 
> Gour, is there a direct link to his forum reply which we can
> attach to the RFP against WNPP in Debian ?

Kind regards

     Andreas.

-- 
http://fam-tille.de




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:27:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.